fulfillment-associate-orders-get-one¶
Source¶
Repository:
jef-systems/jef-fulfillment-associate-backendSource Run ID:
25101494786Source SHA:
c226ca62ef6b026753728d0bc8bc0d132f27115dModule:
fulfillment-associateDocumentation Scope:
getLambda:
jef-fulfillment-associate-get-3
Endpoint¶
API Name:
jef-fulfillment-associateAction Name:
getMethod:
GETScope Label:
GETResource Path:
/fulfillment-associate-orders-get-oneComplete Endpoint:
https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-get-3curl payload mode:
query_string
API Gateway Description¶
Function: jef-fulfillment-associate-get-3
API Name: jef-fulfillment-associate
Action: get
Method: GET
Resource Path: /fulfillment-associate-orders-get-one
Table:
- table: jef-fulfillment-associate-orders
- operation: get-one
Payload Schema:
- pk: id
Payload Example:
- pk: order-001
Response Schema:
- exists: boolean
- message: string
- item: {"id":"string","customer":"string","channel":"string","status":"string","items":[{"id":"string","name":"string","barcode":"string","quantity":"number","fulfilled":"number","price":"number"}],"fulfilled_at":"string","fulfilled_by":"string","packed_at":"string","packed_by":"string","completed_at":"string","completed_by":"string","handoff_type":"string","notes":"string","source_store_pk":"string","destination_store_pk":"string","assigned_associate_pk":"string","total_lines":"number","total_quantity":"number","total_fulfilled_quantity":"number","total_amount":"number","created_at":"string","updated_at":"string","local_version":"number","sync_status":"string","deleted_at":"string","idempotency_key":"string"}
Request Payload¶
{
"pk": "id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"id\":\"string\",\"customer\":\"string\",\"channel\":\"string\",\"status\":\"string\",\"items\":[{\"id\":\"string\",\"name\":\"string\",\"barcode\":\"string\",\"quantity\":\"number\",\"fulfilled\":\"number\",\"price\":\"number\"}],\"fulfilled_at\":\"string\",\"fulfilled_by\":\"string\",\"packed_at\":\"string\",\"packed_by\":\"string\",\"completed_at\":\"string\",\"completed_by\":\"string\",\"handoff_type\":\"string\",\"notes\":\"string\",\"source_store_pk\":\"string\",\"destination_store_pk\":\"string\",\"assigned_associate_pk\":\"string\",\"total_lines\":\"number\",\"total_quantity\":\"number\",\"total_fulfilled_quantity\":\"number\",\"total_amount\":\"number\",\"created_at\":\"string\",\"updated_at\":\"string\",\"local_version\":\"number\",\"sync_status\":\"string\",\"deleted_at\":\"string\",\"idempotency_key\":\"string\"}"
}
CMD curl¶
curl "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-get-one?pk=order-001"
PowerShell curl¶
curl.exe "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-get-one?pk=order-001"